Name:           xmlroff
Version:        0.5.2
Release:        4%{?dist}
Summary:        A XSL-FO processor

Group:          Applications/Publishing
License:        BSD
URL:            http://xmlroff.org/
Source0:        http://xmlroff.org/download/%{name}-%{version}.tar.gz
Patch0:         xmlroff-0.5.2-rpath.patch
Patch1:         xmlroff-0.5.2-nolibxslt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxslt-devel gtk2-devel gtk-doc
Requires:       libfo = %{version}-%{release}

%description
xmlroff is a fast, free, high-quality, multi-platform XSL formatter that aims
to excel at DocBook formatting and that integrates easily with other programs
and with scripting languages.

%package -n libfo
Summary:        A XSL-FO processing library
Group:          System Environment/Libraries
Requires:       xml-common

%description -n libfo
libfo is a library that provides XSL-FO services.

%package -n libfo-devel
Summary:        Files for developing with libfo
Group:          Development/Libraries
Requires:       libfo = %{version}-%{release}
Requires:       gtk2-devel pkgconfig libxml2-devel

%description -n libfo-devel
This package contains headers and other files for developing applications
that use libfo.

%prep
%setup -q
%patch -p1 -b .rpath
%patch1 -p1 -b .nolibxslt

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{_bindir}/install -p"
rm $RPM_BUILD_ROOT%{_libdir}/libfo-0.5.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libfo -p /sbin/ldconfig

%postun -n libfo -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/%{name}
%dir %{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gtk-doc/html/%{name}/*.html
%{_datadir}/gtk-doc/html/%{name}/*.css
%{_datadir}/gtk-doc/html/%{name}/*.png
%{_datadir}/gtk-doc/html/%{name}/*.sgml
%{_datadir}/xml/libfo-0.5.2/%{name}.*

%files -n libfo
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS TODO
%dir %{_datadir}/xml/libfo-0.5.2
%{_datadir}/xml/libfo-0.5.2/catalog.xml
%{_datadir}/xml/libfo-0.5.2/libfo-compat.xsl
%{_libdir}/libfo-0.5.so.*

%files -n libfo-devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp*
%{_includedir}/libfo-0.5
%{_libdir}/libfo-0.5.so
%{_libdir}/pkgconfig/libfo-0.5.pc

%changelog
* Fri Nov  9 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.5.2-4
- Added requirement of libxml2-devel in libfo-devel

* Sat Nov  3 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.5.2-3
- Removed requirement of libxslt-devel in libfo-devel

* Wed Oct 24 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.5.2-2
- Added libfo as requirement to xmlroff
- Added calls to ldconfig
- Added documents to libfo
- Added xml-common as requirement to libfo
- Added make argument to preserve timestamps
- Moved .pc file to libfo-devel

* Tue Aug 28 2007 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.5.2-1
- Initial RPM release
